#
# spec file for package iec16022
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define libname lib%{name}
%define soname %{libname}-0

Name:           iec16022
Version:        0.3.0
Release:        bp153.1.14
Summary:        DataMatrix 2D barcode generator
License:        GPL-2.0+
Group:          Productivity/Graphics/Other
Url:            https://github.com/rdoeffinger/iec16022
Source0:        iec16022-0.3.0.tar.xz
Source1:        iec16022-0.3.0.tar.xz.asc
Source2:        iec16022.keyring
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(popt)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%package -n %{soname}
Summary:        Library for DataMatrix 2D barcode generation
Group:          System/Libraries
Provides:       %{libname} = %{version}

%package -n %{libname}-devel
Summary:        Development tools for DataMatrix 2D barcode generation
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}
Requires:       pkg-config

%description
With iec16022 you can produce 2D barcodes. Also known as Data Matrix. These
barcodes are defined in ISO/IEC 16022.

%description -n %{soname}
With libiec16022 you can produce 2D barcodes. Also known as Data Matrix. These
barcodes are defined in ISO/IEC 16022.

%description -n %{libname}-devel
The %{libname}-devel package includes the header files, libraries,
configuration files and development tools necessary for compiling and linking
programs with %{libname}.

With iec16022 you can produce 2D barcodes. Also known as Data Matrix. These
barcodes are defined in ISO/IEC 16022.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
rm %{buildroot}/%{_libdir}/%{libname}.la

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%post -n %{soname} -p /sbin/ldconfig
%postun -n %{soname} -p /sbin/ldconfig

%files -n %{soname}
%defattr(-,root,root)
%{_libdir}/%{libname}.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/%{libname}.so
%{_libdir}/pkgconfig/%{libname}.pc

%changelog
* Thu Nov 23 2017 asarai@suse.com
- Initial import of iec16022 v0.3.0.
